Translations.cmake doesn't pick up cc/cxx/cpp files

Bug #1354058 reported by Charles Kerr on 2014-08-07
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Indicator Date and Time
Fix Released
Critical
Charles Kerr
indicator-power
Fix Released
Undecided
Charles Kerr
indicator-datetime (Ubuntu)
Undecided
Charles Kerr
indicator-location (Ubuntu)
Undecided
Charles Kerr
indicator-power (Ubuntu)
Undecided
Charles Kerr
indicator-session (Ubuntu)
Undecided
Charles Kerr
indicator-transfer (Ubuntu)
Undecided
Charles Kerr

Bug Description

potfile-building rules in cmake/Translations.cmake checks for .vala and .c files, but not C++ files, so they don't get passed to xgettext.

Frankly I don't understand how this didn't get spotted earlier, surely this is throwing off our translations for indicator-datetime?

Related branches

Charles Kerr (charlesk) on 2014-08-07
Changed in indicator-datetime:
assignee: nobody → Charles Kerr (charlesk)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-datetime - 13.10.0+14.10.20140808-0ubuntu1

---------------
indicator-datetime (13.10.0+14.10.20140808-0ubuntu1) utopic; urgency=low

  [ Charles Kerr ]
  * Add haptic feedback support for alarms. (LP: #1350017)
  * Have the shared Translations.cmake file look for .c, .cc, .cpp,
    .cxx, and .vala files. (LP: #1354058)
 -- Ubuntu daily release <email address hidden> Fri, 08 Aug 2014 20:52:54 +0000

Changed in indicator-datetime (Ubuntu):
status: New → Fix Released
Charles Kerr (charlesk) on 2014-08-09
Changed in indicator-datetime:
status: In Progress → Fix Released
Changed in indicator-datetime (Ubuntu):
assignee: nobody → Charles Kerr (charlesk)
Charles Kerr (charlesk) on 2014-08-09
Changed in indicator-power:
assignee: nobody → Charles Kerr (charlesk)
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-location - 13.10.0+14.10.20140814-0ubuntu1

---------------
indicator-location (13.10.0+14.10.20140814-0ubuntu1) utopic; urgency=low

  [ Charles Kerr ]
  * Re-use the same Translations.cmake file across indicators (LP:
    #1354058)

  [ CI bot ]
  * Resync trunk
 -- Ubuntu daily release <email address hidden> Thu, 14 Aug 2014 14:57:11 +0000

Changed in indicator-location (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-session - 12.10.5+14.10.20140814-0ubuntu1

---------------
indicator-session (12.10.5+14.10.20140814-0ubuntu1) utopic; urgency=low

  [ Charles Kerr ]
  * Re-use the same Translations.cmake file across indicators (LP:
    #1354058)
 -- Ubuntu daily release <email address hidden> Thu, 14 Aug 2014 14:53:29 +0000

Changed in indicator-session (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-power - 12.10.6+14.10.20140814-0ubuntu1

---------------
indicator-power (12.10.6+14.10.20140814-0ubuntu1) utopic; urgency=low

  [ Charles Kerr ]
  * Re-use the same Translations.cmake file across indicators (LP:
    #1354058)
 -- Ubuntu daily release <email address hidden> Thu, 14 Aug 2014 14:51:02 +0000

Changed in indicator-power (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-transfer - 0.1+14.10.20140814-0ubuntu1

---------------
indicator-transfer (0.1+14.10.20140814-0ubuntu1) utopic; urgency=low

  [ Charles Kerr ]
  * Re-use the same Translations.cmake file across indicators (LP:
    #1354058)
 -- Ubuntu daily release <email address hidden> Thu, 14 Aug 2014 14:59:08 +0000

Changed in indicator-transfer (Ubuntu):
status: New → Fix Released
Charles Kerr (charlesk) on 2014-09-07
Changed in indicator-power:
status: In Progress → Fix Released
Changed in indicator-location (Ubuntu):
assignee: nobody → Charles Kerr (charlesk)
Changed in indicator-transfer (Ubuntu):
assignee: nobody → Charles Kerr (charlesk)
Changed in indicator-power (Ubuntu):
assignee: nobody → Charles Kerr (charlesk)
Changed in indicator-session (Ubuntu):
assignee: nobody → Charles Kerr (charlesk)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers